unit GlobErr;
interface
uses  Windows,
      Dialogs,
      SysUtils,
      TeleTokenApi;

  procedure ShowErr(ErrNum : cardinal);
  function CheckErr(ErrNum : cardinal): byte;
  
implementation
{*****************************************************************************
Procedura wywietlajca komunikat bdu
*****************************************************************************}
procedure ShowErr(ErrNum : cardinal);
var
    sErr  : string;
begin
  case ErrNum of
    ERROR_UNEXP_NET_ERR:
      sErr := 'Nieokrelony bd';

    ERROR_CRC:
      sErr := 'Bd bloku kontrolnego wiadomoci.';

    ERROR_INVALID_DATA:
      sErr := 'Adres na parametr jest wyzerowany.';

    ERROR_TOO_MANY_OPEN_FILES:
      sErr := 'Za duo otwartych TeleTokenw.';

    ERROR_UNKNOWN_PORT:
      sErr := 'Nie znaleziono portu USB.';

    ERROR_NOT_FOUND:
      sErr := 'TeleToken nie znaleziony.';

    ERROR_TIMEOUT:
      sErr := 'Przekroczenie czasu trwania operacji lub sesji.';

    ERROR_ACCOUNT_EXPIRED:
      sErr := 'Sesja nie zostaa otwarta lub wygasa.';

    ERROR_ALREADY_INITIALIZED:
      sErr := 'Sesja jest ju otwarta.';

    ERROR_GEN_FAILURE:
      sErr := 'TeleToken uszkodzony';

    ERROR_NOT_SUPPORTED:
      sErr := 'Rozkaz niezaimplementowany.';

    ERROR_INVALID_BLOCK:
      sErr := 'Adres z poza zakresu';

    ERROR_SET_NOT_FOUND:
      sErr := 'Nie da si ustawi ochrony przed zapisem';

    ERROR_INVALID_PASSWORD:
      sErr := 'Haso nie ma uprawnie do wykonania podanej operacji';

    ERROR_ACCESS_DENIED:
      sErr := 'Operacja niedozwolona (ustawiona ochrona przed zapisem, zakaz otczytu itp.)';

    ERROR_COUNTER_TIMEOUT:
      sErr := 'Przekroczona dozwolona iloc operacji.';

    ERROR_NOT_ENOUGH_MEMORY:
      sErr := 'Brak pamici na wykonanie operacji.';
  else
    sErr := 'Wystpi bd numer :' + IntToStr(ErrNum);
  end;

  MessageDlg(sErr, mtError, [mbOk], 0);

end;
//---------------------------------------------------------------------------
function CheckErr(ErrNum : cardinal): byte;
begin
  if (ErrNum<>ERROR_SUCCESS) then
    begin
      ShowErr(ErrNum);
      result:=1;
      exit;
    end;
  result:=0;
end;
//---------------------------------------------------------------------------
end.
